package api

import (
	"net/http"
)

// Handler returns an instance of httprouter.Router that handle APIs registered here
func (rt *_router) Handler() http.Handler {
	// Register routes
	rt.router.POST("/session", rt.wrap(rt.PostSession))

	rt.router.PUT("/users/:user_id/username", rt.wrap(rt.UpdateUsername))

	rt.router.GET("/users/:user_id/followers", rt.wrap(rt.GetFollowers))

	rt.router.GET("/", rt.getHelloWorld)
	rt.router.GET("/context", rt.wrap(rt.getContextReply))

	// Special routes
	rt.router.GET("/liveness", rt.liveness)

	return rt.router
}
